> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Commission Report

> Get commission earnings report for a date range.



## OpenAPI

````yaml /openapi/freelance-internal-api.mintlify.json get /api/peterpans/agent/integration/commissionReport
openapi: 3.0.3
info:
  title: Freelance Travel App API Documentation
  description: >-
    API for the Freelance Travel App - managing users, products, cart, quotes,
    bookings, and agent integrations.
  version: 1.0.0
servers:
  - url: https://confirmation.freelancetravel.com
security:
  - default: []
tags:
  - name: Admin
    description: ''
  - name: Agent Integration
    description: |-

      APIs for managing travel agent integrations and upgrades
  - name: App Metadata
    description: ''
  - name: Authentication
    description: |-

      APIs for user authentication and account management
  - name: Caching
    description: ''
  - name: Cart & Quotes
    description: |-

      APIs for managing shopping cart items, quotes, and bookings
  - name: Discounts
    description: ''
  - name: Endpoints
    description: ''
  - name: Favourites
    description: ''
  - name: Products
    description: |-

      APIs for managing products and home feed
  - name: Redeemers
    description: ''
  - name: Shared Payments
    description: ''
  - name: System
    description: ''
paths:
  /api/peterpans/agent/integration/commissionReport:
    get:
      tags:
        - Agent Integration
      summary: Get Commission Report
      description: Get commission earnings report for a date range.
      operationId: getCommissionReport
      parameters:
        - in: query
          name: startDate
          description: Start date (Y-m-d format).
          example: '2024-01-01'
          required: true
          schema:
            type: string
            description: Start date (Y-m-d format).
            example: '2024-01-01'
        - in: query
          name: endDate
          description: End date (Y-m-d format).
          example: '2024-12-31'
          required: true
          schema:
            type: string
            description: End date (Y-m-d format).
            example: '2024-12-31'
        - in: query
          name: onlyAvailablePoints
          description: Filter to only available points.
          example: true
          required: false
          schema:
            type: boolean
            description: Filter to only available points.
            example: true
        - in: query
          name: untilTodayOnly
          description: Only include up to today.
          example: false
          required: false
          schema:
            type: boolean
            description: Only include up to today.
            example: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                startDate:
                  type: string
                  description: Must be a valid date in the format <code>Y-m-d</code>.
                  example: '2026-02-01'
                endDate:
                  type: string
                  description: Must be a valid date in the format <code>Y-m-d</code>.
                  example: '2026-02-01'
                onlyAvailablePoints:
                  type: boolean
                  description: ''
                  example: true
                  nullable: true
                untilTodayOnly:
                  type: boolean
                  description: ''
                  example: true
                  nullable: true
              required:
                - startDate
                - endDate
      responses:
        '200':
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: >-
                  {"status": "success", "message": "Commission report", "data":
                  [...]}
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token</b>.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.